#include "lprintf.h"
#include "lmcal_uart.h"
#include "lprintf_config.h"


int lprintf_uart_init(uint32_t baud, uint8_t databits, t_lprintf_uart_parity parity) 
{
    // На момент вызова этой функции:
    // - Канал UART должен быть статически сконфигурирован в lmcal_uart_cfg.h
    // - Драйвер UART должен быть инициализирован (вызван lmcal_init() или lmcal_uart_init())
    lmcal_uart_enable(LPRINTF_UART_NUM, true);

    return 0;
}


void lprintf_close(void) 
{
    lmcal_uart_enable(LPRINTF_UART_NUM, false);
}


void lprintf_putchar(char c) 
{
    // Синхронная передача
    lmcal_uart_write(LPRINTF_UART_NUM, (uint8_t)c);
}


int lprintf_uart_busy(void) {
    return 0;
}
